import * as Cheerio from "cheerio";
export declare const fromDocument: ($: Cheerio.CheerioAPI) => GatewaySection[];
declare const fromHeader: ($: Cheerio.CheerioAPI) => ($h6: Cheerio.Cheerio<Cheerio.Element>, $table: Cheerio.Cheerio<Cheerio.Element>) => {
    identifier: string;
    values: {
        name: string;
        type: string;
        description: string;
    }[];
};
export declare type GatewaySection = ReturnType<ReturnType<typeof fromHeader>>;
export interface GatewayEvent {
    identifier: string;
    payload: string;
}
export declare const events: (markdown: string) => GatewayEvent[];
export {};
